#ifdef VHDL_TESTBENCH
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Signal.h"


namespace morpheo              {
namespace behavioural          {

  string Signal::get_clock (void)
  {
    if ((_presence_port == CLOCK_VHDL_YES) or
	(_presence_port == CLOCK_VHDL_NO ))
      return _name;
    else
      return "";
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
